Bug 14104 - LDB robustness backports
Summary: LDB robustness backports
Status: RESOLVED FIXED
Alias: None
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB (show other bugs)
Version: 4.11.0rc2
Hardware: All All
: P5 normal (vote)
Target Milestone: ---
Assignee: Karolin Seeger
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks: 13695 14049
  Show dependency treegraph
 
Reported: 2019-08-28 08:26 UTC by Andrew Bartlett
Modified: 2019-09-10 07:55 UTC (History)
5 users (show)

See Also:


Attachments
patch backported from master (77.51 KB, patch)
2019-08-28 08:26 UTC, Andrew Bartlett
abartlet: review? (gary)
abartlet: review? (garming)
abartlet: review? (dbagnall)
gary: review+
abartlet: ci-passed+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2019-08-28 08:26:20 UTC
Created attachment 15444 [details]
patch backported from master

Backports for LDB robustness fixes recently landed in master
Comment 1 Andrew Bartlett 2019-08-28 21:50:32 UTC
G'Day Karolin,

Please select for Samba 4.11.0, these robustness fixes are important.

Thanks!
Comment 2 Karolin Seeger 2019-09-03 11:59:40 UTC
Pushed to auotbuild-v4-11-test and informed Metze that we need a new ldb release.
Comment 3 Stefan Metzmacher 2019-09-04 11:05:08 UTC
(In reply to Karolin Seeger from comment #2)
ldb-2.0.7 is released.
Comment 4 Karolin Seeger 2019-09-10 07:55:11 UTC
Pushed to v4-11-test.
Closing out bug report.

Thanks!